BCA_Lib

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Pages
Public Member Functions
AntDevice Class Reference

Inherited by AntCB.

List of all members.

## Public Member Functions
int | openDevice (unsigned char number=0)
| ANTデバイスのオープン
int | closeDevice ()
| ANTデバイスのクローズ.
int | openChannel (unsigned char channel_no, unsigned char channel_type, unsigned char shared, unsigned short device_no, unsigned char device_type, unsigned char trans_type, unsigned char freq, double hz)
| チャンネルのオープン
int | closeChannel (unsigned char channel_no)
| チャンネルのクローズ
int | sendData (unsigned char channel_no, void *data, unsigned int length)
| データ送信
int | sendAcknowledgedData (unsigned char channel_no, void *data, unsigned int length)
| データ送信
int | sendBurstTransfer (unsigned char channel_no, void *data, unsigned int length)
| データ送信
int | Reset ()
| ANTデバイスのリセット
int | startPairing (unsigned char freq, double hz, unsigned char search_sec)
| ペアリング処理の開始
int | stopPairing ()
| ペアリング処理の中止
int | getPairingDeviceInfo (unsigned char index, int *device_no, int *device_type, int *trans_type)
| ペアリング処理でのデバイス検索結果のデバイス情報を取得
virtual int | receiveData (unsigned char channel, unsigned char event, void *data, unsigned int length)
| データ受信イベント
virtual int | sendData (unsigned char channel)
| データ送信イベント
virtual int | receiveEvent (unsigned char channel, unsigned char event, void *data, unsigned int length)
| イベント受信
virtual void | searchResult (int *devicelist, unsigned char count)
| ペアリング結果
int | setTransmitPower (unsigned char power)
| 送信出力設定
int | setChannelTxPower (unsigned char channel_no, unsigned char power)
| チャンネル送信出力設定

## Member Function Documentation

int AntDevice::closeChannel | ( | unsigned char | channel_no | ) |

チャンネルのクローズ

Parameters:

  channel_no | チャンネルNo

Returns:
  BCA_OK:成功
  BCA_E_INVALID_CHANNEL_NO:チャンネルNoが不正

int AntDevice::closeDevice | ( |  | ) |

ANTデバイスのクローズ.

Returns:
  BCA_OK:成功
  BCA_OK未満 エラー

int AntDevice::getPairingDeviceInfo | ( | unsigned char | index,
|  | int * | device_no,
|  | int * | device_type,
|  | int * | trans_type
| ) |  |

ペアリング処理でのデバイス検索結果のデバイス情報を取得

Parameters:

  index | デバイス情報のインデックス
  device_no | デバイスNo
  device_type | デバイスタイプ
  trans_type | 送信タイプ

Returns:
  BCA_OK:成功
  BCA_E_INDEX_OUT_OF_RANGE:見つかったデバイスのインデックス範囲外
  BCA_E_INVALID_PARAM:引数が有効でない

int AntDevice::openChannel | ( | unsigned char | channel_no,
|  | unsigned char | channel_type,
|  | unsigned char | shared,
|  | unsigned short | device_no,
|  | unsigned char | device_type,
|  | unsigned char | trans_type,
|  | unsigned char | freq,
|  | double | hz
| ) |  |

チャンネルのオープン

Parameters:

  channel_no | チャンネルNo
  channel_type | チャンネルタイプ
  channel_type | チャンネルタイプ BCA_CHANNEL_TYPE_MASTER:送信側(Master) BCA_CHANNEL_TYPE_SLAVE:受信側(Slave)
  shared | 共有チャンネル BCA_CHANNEL_NOSHARED:共有チャンネル指定なし BCA_CHANNEL_SHARED:共有チャンネル指定
  device_no | デバイスNo
  device_type | デバイスタイプ
  trans_type | トランスミッションタイプ
  freq | 周波数
  hz | 送受信間隔

Returns:
  BCA_OK:成功
  BCA_E_ALREADY_USE_CHANNEL_NO:チャンネルNoは使用中
  BCA_E_INVALID_CHANNEL_NO:チャンネルNoが不正
  BCA_E_INVALID_CHANNEL_TYPE:チャンネルタイプが不正
  BCA_E_INVALID_SHARED_TYPE:共有タイプが不正
  BCA_E_INVALID_DEVICE_NO:デバイスNoが不正
  BCA_E_INVALID_DEVICE_TYPE:デバイスタイプが不正
  BCA_E_INVALID_TRANS_TYPR:トランスミッションタイプが不正
  BCA_E_INVALID_FREQUENCY:周波数が不正
  BCA_E_INVALID_PERIOD:送受信間隔が不正
  BCA_E_INVALID_HZ:送受信間隔が不正
  BCA_E_CHANNEL_OPEN_ERROR:チャンネルのオープンに失敗

int AntDevice::openDevice | ( | unsigned char | number = `0` | ) |

ANTデバイスのオープン

Parameters:

  number | 認識しているANTデバイスの連番

Returns:
  BCA_OK:成功
  BCA_E_ALREADY_USE_DEVICE:デバイスは既に使用中です。
  BCA_E_DEVICE_ERROR:ANTデバイスの初期化に失敗しました。

int AntDevice::receiveData | ( | unsigned char | channel,
|  | unsigned char | event,
|  | void * | data,
|  | unsigned int | length
| ) |  |
| virtual

データ受信イベント

データ受信時に実行されます
ユーザーはこの関数をオーバーライドして実装する必要があります。

Parameters:

  channel | チャンネルNo
  event | イベント
  data | データポインタ
  length | データの長さ

Returns:
  BCA_OK:成功

int AntDevice::receiveEvent | ( | unsigned char | channel,
|  | unsigned char | event,
|  | void * | data,
|  | unsigned int | length
| ) |  |
| virtual

イベント受信

イベント受信時に実行されます。
ユーザーはこの関数をオーバーライドして実装する必要があります。

Parameters:

  channel | チャンネル No
  event | イベント
  data | データポインタ
  length | データの長さ

Returns:
  BCA_OK:成功

int AntDevice::Reset | ( |  | ) |

ANTデバイスのリセット

Returns:
  BCA_OK:OK
  BCA_OK未満 エラー

void AntDevice::searchResult | ( | int * | devicelist,
|  | unsigned char | count
| ) |  |
| virtual

ペアリング結果

ペアリング処理を実行し、設定された時間後に実行されます。
ユーザーはこの関数をオーバーライドして実装する必要があります。

Parameters:

  devicelist | デバイス一覧
  count | 見つかったデバイスの個数

int AntDevice::sendAcknowledgedData | ( | unsigned char | channel_no,
|  | void * | data,
|  | unsigned int | length
| ) |  |

データ送信

データの送信を行います。送信できるデータは8バイト(固定)です。

Parameters:

  channel_no | チャンネルNo
  data | データポインタ
  length | データの長さ(8)

Returns:
  BCA_OK:OK
  BCA_OK未満:エラー
  BCA_E_INVALID_CHANNEL_NO:チャンネルNo不正
  BCA_E_INVALID_DATA:データポインタ不正
  BCA_E_INVALID_DATA_LENGTH:データの長さ不正

int AntDevice::sendBurstTransfer | ( | unsigned char | channel_no,
|  | void * | data,
|  | unsigned int | length
| ) |  |

データ送信

データの送信を行います。送信できるデータは8バイト(固定)です。

Parameters:

  channel_no | チャンネルNo
  data | データポインタ
  length | データの長さ(8)

Returns:
  BCA_OK:OK
  BCA_OK未満:エラー
  BCA_E_INVALID_CHANNEL_NO:チャンネルNo不正
  BCA_E_INVALID_DATA:データポインタ不正
  BCA_E_INVALID_DATA_LENGTH:データの長さ不正

int AntDevice::sendData | ( | unsigned char | channel_no,
|  | void * | data,
|  | unsigned int | length
| ) |  |

データ送信

データの送信を行います。送信できるデータは8バイト(固定)です。

Parameters:

  channel_no | チャンネルNo
  data | データポインタ
  length | データの長さ(8)

Returns:
  BCA_OK:OK
  BCA_OK未満:エラー
  BCA_E_INVALID_CHANNEL_NO:チャンネルNo不正
  BCA_E_INVALID_DATA:データポインタ不正
  BCA_E_INVALID_DATA_LENGTH:データの長さ不正

int AntDevice::sendData | ( | unsigned char | channel | ) |
| virtual

データ送信イベント

データ送信タイミングで実行されます
ユーザーはこの関数をオーバーライドして実装する必要があります。

Parameters:

  channel | チャンネル No

Returns:
  BCA_OK:成功

int AntDevice::setChannelTxPower | ( | unsigned char | channel_no,
|  | unsigned char | power
| ) |  |

チャンネル送信出力設定

チャンネル送信出力設定を行います。

Parameters:

  channel_no | チャンネルNo(0-7)
  power | 送信出力(dBm) 0:-20dBm 1:-10dBm 2:-5dBm 3:0dBm

Returns:
  BCA_OK:成功
  BCA_OK未満:エラー
  BCA_E_INVALID_CHANNEL_NO:チャンネルNoが不正
  BCA_E_INVALID_PARAM:送信出力不正

int AntDevice::setTransmitPower | ( | unsigned char | power | ) |

送信出力設定

送信出力設定を行います。

Parameters:

  power | 送信出力(dBm) 0:-20dBm 1:-10dBm 2:-5dBm 3:0dBm

Returns:
  BCA_OK:成功
  BCA_OK未満:エラー
  BCA_E_INVALID_PARAM:送信出力不正

int AntDevice::startPairing | ( | unsigned char | freq,
|  | double | hz,
|  | unsigned char | search_sec
| ) |  |

ペアリング処理の開始

Parameters:

  freq | 周波数
  hz | 送受信間隔 (0.5～32678)
  search_sec | デバイス検索時間(秒)

Returns:
  BCA_OK:成功
  BCA_OK未満:エラー
  BCA_E_PAIRING_ERROR:ペアリング処理中
  BCA_E_INVALID_FREQUENCY:周波数不正
  BCA_E_INVALID_HZ:送受信間隔不正
  BCA_E_INVALID_SERACH_TIME:デバイス検索時間不正

int AntDevice::stopPairing | ( |  | ) |

ペアリング処理の中止

Returns:
  BCA_OK:成功
  BCA_E_PAIRING_ERROR:ペアリング処理中でない

The documentation for this class was generated from the following files:

- AntDevice.h
- AntDevice.cpp